## org.eclipse.m2m.atl.engine.vm.nativelib
Class ASMString

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMString

    public class ASMString

extends ASMOclAny

Field Summary
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMString(java.lang.String s)`

Method Summary
`static ASMString` `concat(StackFrame frame, ASMString self, ASMString o)`
`java.lang.String` `cString()`
`static ASMBoolean` `endsWith(StackFrame frame, ASMString self, ASMString o)`
`boolean` `equals(java.lang.Object o)`
`static ASMOclAny` `evalSOTS(StackFrame frame, ASMString self, ASMTuple args)`
`static ASMOclAny` `evalSOTSBrackets(StackFrame frame, ASMString self, ASMTuple args)`
`static java.io.File` `getFile(java.lang.String path)`
`java.lang.String` `getSymbol()`
`int` `hashCode()`
`static ASMInteger` `indexOf(StackFrame frame, ASMString self, ASMString o)`
`static ASMOclAny` `inject(StackFrame frame, ASMString self, ASMString targetModelName, ASMString kind, ASMString params)`
`static ASMInteger` `lastIndexOf(StackFrame frame, ASMString self, ASMString o)`
`static ASMBoolean` `operatorEQ(StackFrame frame, ASMString self, ASMOclAny o)`
`static ASMBoolean` `operatorGE(StackFrame frame, ASMString self, ASMString o)`
`static ASMBoolean` `operatorGT(StackFrame frame, ASMString self, ASMString o)`
`static ASMBoolean` `operatorLE(StackFrame frame, ASMString self, ASMString o)`
`static ASMBoolean` `operatorLT(StackFrame frame, ASMString self, ASMString o)`
`static ASMBoolean` `operatorNE(StackFrame frame, ASMString self, ASMOclAny o)`
`static ASMString` `operatorPlus(StackFrame frame, ASMString self, ASMString o)`
`static void` `println(StackFrame frame, ASMString self)`
`static ASMOclAny` `readFrom(StackFrame frame, ASMString self)`
`static ASMString` `regexReplaceAll(StackFrame frame, ASMString self, ASMString a, ASMString b)`
`static ASMString` `replaceAll(StackFrame frame, ASMString self, ASMString a, ASMString b)`
`static ASMInteger` `size(StackFrame frame, ASMString self)`
`static ASMSequence` `split(StackFrame frame, ASMString self, ASMString a)`
`static ASMBoolean` `startsWith(StackFrame frame, ASMString self, ASMString o)`
`static ASMString` `substring(StackFrame frame, ASMString self, ASMInteger start, ASMInteger end)`
`static ASMBoolean` `toBoolean(StackFrame frame, ASMString self)`
`static ASMString` `toCString(StackFrame frame, ASMString self)`
`static ASMInteger` `toInteger(StackFrame frame, ASMString self)`
`static ASMString` `toLower(StackFrame frame, ASMString self)`
`static ASMReal` `toReal(StackFrame frame, ASMString self)`
`static ASMSequence` `toSequence(StackFrame frame, ASMString self)`
`java.lang.String` `toString()`
`static ASMString` `toString(StackFrame frame, ASMString self)`
`static ASMString` `toUpper(StackFrame frame, ASMString self)`
`static ASMString` `trim(StackFrame frame, ASMString self)`
`static ASMBoolean` `writeTo(StackFrame frame, ASMString self, ASMString fileName)`
`static ASMBoolean` `writeToWithCharset(StackFrame frame, ASMString self, ASMString fileName, ASMString charset)`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

Constructor Detail

### ASMString

    public ASMString(java.lang.String s)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSymbol

    public java.lang.String getSymbol()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### cString

    public java.lang.String cString()

### size

    public static ASMInteger size(StackFrame frame,
                                  ASMString self)

### concat

    public static ASMString concat(StackFrame frame,
                                   ASMString self,
                                   ASMString o)

### substring

    public static ASMString substring(StackFrame frame,
                                      ASMString self,
                                      ASMInteger start,
                                      ASMInteger end)

### toInteger

    public static ASMInteger toInteger(StackFrame frame,
                                       ASMString self)

### toReal

    public static ASMReal toReal(StackFrame frame,
                                 ASMString self)

### toBoolean

    public static ASMBoolean toBoolean(StackFrame frame,
                                       ASMString self)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### operatorEQ

    public static ASMBoolean operatorEQ(StackFrame frame,
                                        ASMString self,
                                        ASMOclAny o)

### operatorNE

    public static ASMBoolean operatorNE(StackFrame frame,
                                        ASMString self,
                                        ASMOclAny o)

### toSequence

    public static ASMSequence toSequence(StackFrame frame,
                                         ASMString self)

### operatorLT

    public static ASMBoolean operatorLT(StackFrame frame,
                                        ASMString self,
                                        ASMString o)

### operatorLE

    public static ASMBoolean operatorLE(StackFrame frame,
                                        ASMString self,
                                        ASMString o)

### operatorGT

    public static ASMBoolean operatorGT(StackFrame frame,
                                        ASMString self,
                                        ASMString o)

### operatorGE

    public static ASMBoolean operatorGE(StackFrame frame,
                                        ASMString self,
                                        ASMString o)

### operatorPlus

    public static ASMString operatorPlus(StackFrame frame,
                                         ASMString self,
                                         ASMString o)

### toCString

    public static ASMString toCString(StackFrame frame,
                                      ASMString self)

### toUpper

    public static ASMString toUpper(StackFrame frame,
                                    ASMString self)

### toLower

    public static ASMString toLower(StackFrame frame,
                                    ASMString self)

### trim

    public static ASMString trim(StackFrame frame,
                                 ASMString self)

### startsWith

    public static ASMBoolean startsWith(StackFrame frame,
                                        ASMString self,
                                        ASMString o)

### endsWith

    public static ASMBoolean endsWith(StackFrame frame,
                                      ASMString self,
                                      ASMString o)

### indexOf

    public static ASMInteger indexOf(StackFrame frame,
                                     ASMString self,
                                     ASMString o)

### lastIndexOf

    public static ASMInteger lastIndexOf(StackFrame frame,
                                         ASMString self,
                                         ASMString o)

### regexReplaceAll

    public static ASMString regexReplaceAll(StackFrame frame,
                                            ASMString self,
                                            ASMString a,
                                            ASMString b)

### split

    public static ASMSequence split(StackFrame frame,
                                    ASMString self,
                                    ASMString a)

### replaceAll

    public static ASMString replaceAll(StackFrame frame,
                                       ASMString self,
                                       ASMString a,
                                       ASMString b)

### readFrom

    public static ASMOclAny readFrom(StackFrame frame,
                                     ASMString self)

### writeTo

    public static ASMBoolean writeTo(StackFrame frame,
                                     ASMString self,
                                     ASMString fileName)

### writeToWithCharset

    public static ASMBoolean writeToWithCharset(StackFrame frame,
                                                ASMString self,
                                                ASMString fileName,
                                                ASMString charset)

### println

    public static void println(StackFrame frame,
                               ASMString self)

### toString

    public static ASMString toString(StackFrame frame,
                                     ASMString self)

### inject

    public static ASMOclAny inject(StackFrame frame,
                                   ASMString self,
                                   ASMString targetModelName,
                                   ASMString kind,
                                   ASMString params)

### evalSOTS

    public static ASMOclAny evalSOTS(StackFrame frame,
                                     ASMString self,
                                     ASMTuple args)

### evalSOTSBrackets

    public static ASMOclAny evalSOTSBrackets(StackFrame frame,
                                             ASMString self,
                                             ASMTuple args)

### getFile

    public static java.io.File getFile(java.lang.String path)

  Parameters:
    `path` - The absolute or relative path to a file.
  Returns:
    The file in the workspace, or the file in the filesystem if the workspace is not available.

Copyright 2007 IBM Corporation and others. All Rights Reserved.